View Issue Details

IDProjectCategoryView StatusLast Update
0000894FreeCADFeaturepublic2013-02-13 09:06
ReporterJriegelAssigned ToJriegel 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.13Fixed in Version0.13 
Summary0000894: Invert mouse Zoom for CAD mouse model
Descriptionhttps://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=10&t=3255

Hi guys :) ,

I have a small issue with handling zoom on CAD navigation style, concerning to the invert zoom option in preferences dialog. In normal mode CAD navigation style, zoom works using the scroll button of the mouse, sliding scroll up produces zoom out, sliding scroll down produces zoom in and combining mouse move + mouse buttons, the secuence is hold middle button + left or right mouse button (without hold) + move up mouse for zoom out, move down mouse for zoom in.

Well, if one selects in Edit -> Preferences ... Display -> 3D View -> Invert Zoom, the application inverts zoom in relation to sliding scroll button, but no respect to a combination of mouse movements and mouse buttons, namely, sliding scroll up produces zoom in, sliding scroll down produces zoom out, but the combination aforementioned are being the same (no inverted).

CATIA uses, by default, the inverted combination of button clicks and movements, and could be a good idea fix this issue, making less embarrasing the control of FreeCAD, specially for users with widely experience in CATIA or other 3D applications.

Thank you very much in advance,
Regards
TagsNo tags attached.
FreeCAD Information

Activities

wmayer

2012-11-29 12:37

administrator   ~0002599

The inconsistency was an easy thing to fix: git show 6d9539f
but it's up to you to decide what to define the normal behaviour (inverted or not)

Jriegel

2012-12-20 18:16

administrator   ~0002681

I set the standard to:
- reversed
- zoom step 0.2

b9584f2c9a7d1ec60b56199728ab8d25ee864e30

Issue History

Date Modified Username Field Change
2012-11-29 11:30 Jriegel New Issue
2012-11-29 11:31 Jriegel Assigned To => Jriegel
2012-11-29 11:31 Jriegel Status new => assigned
2012-11-29 12:37 wmayer Note Added: 0002599
2012-12-20 15:32 Jriegel Target Version => 0.13
2012-12-20 18:16 Jriegel Note Added: 0002681
2012-12-20 18:16 Jriegel Status assigned => resolved
2012-12-20 18:16 Jriegel Fixed in Version => 0.13
2012-12-20 18:16 Jriegel Resolution open => fixed
2013-02-13 09:06 wmayer Status resolved => closed